> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Stream execution

> When you’re ready to upload data to your DataSet via a Stream, you first tell Domo that you’re ready to start sending data by creating an Execution.




## OpenAPI

````yaml /openapi/platform/stream.yaml POST /v1/streams/{STREAM_ID}/executions
openapi: 3.1.0
info:
  title: Stream API
  version: '1.0'
  description: >
    The Stream API allows you to automate the creation of new DataSets in your
    Domo Warehouse, featuring an accelerated upload Stream. A Domo Stream
    expedites uploads by dividing your data into parts, and uploading all of
    these parts simultaneously.


    <!-- theme: info -->

    > ### Best Practices

    >

    > This API should be used to create and update massive, constantly changing,
    or rapidly growing DataSets. For creating and updating smaller DataSets that
    occasionally need data updated, leverage the DataSet API. 



    ## The Stream Object


    ## Stream Attributes

    Property Name | Type | Description

    ------- | ------- | -------

    id | Number | ID of the Stream

    modifiedAt | String | An ISO-8601 representation of the time the Stream was
    last updated

    updateMethod | String | The data import behavior

    createdAt | String | An ISO-8601 representation of the create date of the
    Stream


    ### Stream's DataSet Attributes

    Property Name | Type | Description

    ------- | ------- | -------

    id | String  | The UID of the DataSet associated to the Stream

    name | String | The description of the DataSet associated to the Stream

    description | String | The ID of the DataSet associated to the Stream

    rows | Number | The number of rows in the DataSet

    columns | Number | The number of columns in the DataSet's schema

    owner_id | Number | The ID of the owner of the Stream's underlying DataSet

    owner_name | String | The name of the owner of the Stream's underlying
    DataSet

    pdpEnabled | Boolean | Indicates if PDP [Personalized Data Permission]
    policy filtering on data is active on this DataSet
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/streams/{STREAM_ID}/executions:
    parameters:
      - schema:
          type: number
        name: STREAM_ID
        in: path
        required: true
        description: The ID of the Stream
    post:
      summary: Create a Stream execution
      description: >
        When you’re ready to upload data to your DataSet via a Stream, you first
        tell Domo that you’re ready to start sending data by creating an
        Execution.
      responses:
        '200':
          description: Returns a subset of the stream object.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  startedAt:
                    type: string
                  currentState:
                    type: string
                  createdAt:
                    type: string
                  modifiedAt:
                    type: string
                x-examples:
                  Example 1:
                    id: 1
                    startedAt: '2016-05-26T22:20:21Z'
                    currentState: ACTIVE
                    createdAt: '2016-05-26T22:20:21Z'
                    modifiedAt: '2016-05-26T22:20:21Z'
              examples:
                Example 1:
                  value:
                    id: 1
                    startedAt: '2016-05-26T22:20:21Z'
                    currentState: ACTIVE
                    createdAt: '2016-05-26T22:20:21Z'
                    modifiedAt: '2016-05-26T22:20:21Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````